Aura Logo
AuraAPI Docs
OpenapiV1FunnelEvents

Ingest an external funnel event

POST
/v1/funnel/events
attribution?
consentStatestring
Value in"granted" | "not_required"
deviceClassstring
Value in"mobile" | "tablet" | "desktop" | "unknown"
eventIdstring
Length8 <= length <= 128
eventTypestring
Value in"page_view" | "engaged_visit" | "cta_click" | "form_start" | "booking_open" | "lead_submission" | "booking_completion"
funnelIdstring
Length1 <= length <= 128
occurredAtstring
Formatdate-time
pagePathstring
Lengthlength <= 2000
previousPage?string
Lengthlength <= 2000
properties?
sourceDomainstring
Length1 <= length <= 253
versionnumber
Value in1
visitorIdstring
Length8 <= length <= 128

Response Body

application/json

application/json

curl -X POST "https://api.aura-app.ai/v1/funnel/events" \  -H "Content-Type: application/json" \  -d '{    "consentState": "granted",    "deviceClass": "mobile",    "eventId": "stringst",    "eventType": "page_view",    "funnelId": "string",    "occurredAt": "2019-08-24T14:15:22Z",    "pagePath": "string",    "sourceDomain": "string",    "version": 1,    "visitorId": "stringst"  }'
{
  "data": {
    "accepted": true,
    "duplicate": true,
    "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459"
  },
  "success": true
}
{
  "code": "string",
  "error": "string",
  "success": false
}